phalanx (25-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089411)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 12:25:20 +0000

phalanx (25-1) unstable; urgency=medium

  * New upstream version.
  * debian/compat: Remove file.
  * debian/copyright: Update copyright year and my e-mail.
  * debian/control:
    - Bump to Standards-Version 4.6.1. No changes required.
    - Change maintainer's e-mail.
    - Set Vcs* fields to Salsa.
    - Upgrade to debhelper compat 13.
  * debian/install: Book files should install to phalanx dir as they're
    only usable with the program.
  * debian/menu: Remove as menu system is deprecated (Policy >= 3.9.8).
  * debian/patches:
    - 03_makefile_DEFINES.diff: Refresh and renamed it to 01_makefile.patch
    - 04_PG_setboard_command.diff: Remove, applied upstream.
    - 05_PG_version-string.diff,
      10_hardening-string-literal_search.diff,
      12_hardening-string-literal_io.diff,
      14_hardening-string-literal_book.diff,
      16_hardening-pointer-sign_bcreate: Remove, not needed anymore.
    - 16_hardening-unused-but-set_endgame,
      17_bcreate,
      20_fix_linker_problem: Not applicable.
    - 02_dereference_pointer.patch: Add to fix not dereferenced pointer.
      (Closes: #1001069). Thanks to Michael Soyka.
  * debian/rules:
    - Add override_dh_auto_install to overwrite install dir.
    - Remove unnecessary dh argument.
  * debian/watch:
    - Upgrade to version 4 and handle latest version (XXV).

 -- Jose G. López <josgalo@jglopez.name>  Sun, 17 Jul 2022 19:19:19 +0200

phalanx (22+d051004-14) unstable; urgency=medium

  * Fix FTBS with GCC 6. (Closes: #811584)
  * Set myself as Maintainer. (Closes: #835309)
  * debian/compat: Upgrade to version 9.
  * debian/config: Fix lintian report 'maintainer-script-without-set-e'.
  * debian/control:
    - Bump to Standards-Version 3.9.8. No changes required.
    - Add Vcs-* fields to show where development is done.
  * debian/copyright: Update and change Format tag to the accepted one.
  * debian/install: Prefer book files in /usr/share/phalanx.
  * debian/patches:
    - 03_makefile_DEFINES.diff: Refresh to avoid arch specific flags, added
      hardening and install book dirs in /usr/share/phalanx.
    - 04_PG_setboard_command.diff: Update to remove 'setboard' as it is
      applied in other patch.
    - 25_arch_compiler-flags: Remove. Avoid arch specific flags.
  * debian/po:
    - pt_BR.po: New, thanks to Adriano Rafael Gomes. (Closes: #811526)
    - ca.po: Update to remove fuzzy translations.
  * debian/rules:
    - Remove conditional architecture build options. No optimized compilation.
    - Add hardening flags.
    - Add --parallel option to debhelper.

 -- Jose G. López <josgalo@gmail.com>  Sat, 17 Sep 2016 20:07:04 +0200

phalanx (22+d051004-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add da.po Closes: #666519. Sent by Joe Hansen <joedalton2@yahoo.dk>
  * Add sk.po Closes: #685556. Sent by Slavko <linux@slavino.sk>
  * Add pl.po Closes: #685702. Sent by Michał Kułach <michal.kulach@gmail.com>
  * Add it.po Closes: #685857. Sent by Beatrice Torracca <beatricet@libero.it>

 -- David Prévot <taffit@debian.org>  Sat, 25 Aug 2012 11:32:53 -0400

phalanx (22+d051004-13) unstable; urgency=low

  * debian/rules:
    - added arch specific switches for makefile targets
  * makefile:
    - added a optimized target to avoid FTBFS on ia64, armel,
      mips, mipsel, powerpc, s390, sparc

 -- Oliver Korff <ok@xynyx.de>  Fri, 28 Oct 2011 10:51:14 +0200

phalanx (22+d051004-12) unstable; urgency=low

  * debian/docs:
    - +HISTORY
  * release goal: hardening format-security (Closes: #643455):
    - s/printf/puts/g and s/fprintf/fputs/g
    - Files: io.c, book.c, search.c
    - This was done by Michael Rohleder, many thanks.
  * debian/control:
    - set Standards Version to 3.9.2, (nothing to do)
    - set debhelper dependency >= 8
    - Enhances: +scid, -knights
  * Set debian/compat to 8
  * debian/README.Source is not needed anymore
  * debian/copyright is now dep5 machine readable

 -- Oliver Korff <ok@xynyx.de>  Thu, 27 Oct 2011 10:40:22 +0200

phalanx (22+d051004-11) unstable; urgency=low

  * Added es.po Closes: #601929. Sent by
    Clytie Siddall <clytie@riverland.net.au>
  * Set Standards-Version to 3.9.1
  * Added DP: description to 05_PG_version-string.dpatch
  * Added debian/source/format and set it to 1.0, no need to convert
    to Quilt 3.0.

 -- Oliver Korff <ok@xynyx.de>  Sun, 31 Oct 2010 09:58:13 +0100

phalanx (22+d051004-10) unstable; urgency=low

  * Added es.po Closes: #583775. Sent by Camaleón <noelamac@gmail.com>
  * Set Standards-Version to 3.8.4

 -- Oliver Korff <ok@xynyx.de>  Wed, 02 Jun 2010 21:49:30 +0200

phalanx (22+d051004-9) unstable; urgency=low

  * New maintainer upload. Closes: #497246
  * Added ja.po Closes: #558061. Sent by Hideki Yamane <henrich@debian.or.jp>
  * Added ru.po Closes: #543194. Sent by Yuri Kozlov <yuray@komyakino.ru>
  * Set Standards-Version to 3.8.3
  * Added a README.source because of using dpatch. This makes the package litian
  clean.

 -- Oliver Korff <ok@xynyx.de>  Sat, 09 Jan 2010 16:59:14 +0100

phalanx (22+d051004-8) unstable; urgency=low

  * QA upload, orphaning this package.  See #497246.

 -- Bart Martens <bartm@debian.org>  Tue, 14 Apr 2009 19:20:25 +0200

phalanx (22+d051004-7) unstable; urgency=low

  * debian/po/sv.po: Replaced.  Closes: 491955.  Thanks to Martin Bagge
    <brother@bsnet.se>.

 -- Bart Martens <bartm@debian.org>  Wed, 23 Jul 2008 06:50:27 +0200

phalanx (22+d051004-6) unstable; urgency=low

  * debian/po/nl.po: Added.  Closes: #420929.  Thanks to Bart Cornelis
    <cobaco@skolelinux.no>.

 -- Bart Martens <bartm@knars.be>  Wed, 25 Apr 2007 21:04:04 +0200

phalanx (22+d051004-5) unstable; urgency=low

  * debian/po/pt.po: Added.  Closes: #418934.  Thanks to Luís Picciochi
    Oliveira <pitxyoki@gmail.com>.

 -- Bart Martens <bartm@knars.be>  Thu, 19 Apr 2007 21:02:56 +0200

phalanx (22+d051004-4) unstable; urgency=low

  * debian/po/de.po: Updated.  Closes: #401767.  Thanks to Helge Kreutzmann
    <debian@helgefjell.de>.

 -- Bart Martens <bartm@knars.be>  Thu, 14 Dec 2006 21:16:55 +0100

phalanx (22+d051004-3) unstable; urgency=low

  * debian/po/cs.po: Updated.  Closes: #389181.  Thanks to Miroslav Kure
    <kurem@upcase.inf.upol.cz>.

 -- Bart Martens <bartm@knars.be>  Sun, 24 Sep 2006 19:31:56 +0200

phalanx (22+d051004-2) unstable; urgency=low

  * debian/rules, debian/control: Switch to cdbs.
  * debian/dirs: Added to install /var/games.
  * debian/phalanx.6: Edited short description.
  * debian/po/fr.po: French debconf templates translation.  Closes: #387421.
    Thanks to Steve <dlist@bluewin.ch>.

 -- Bart Martens <bartm@knars.be>  Sun, 17 Sep 2006 11:35:02 +0200

phalanx (22+d051004-1) unstable; urgency=low

  * New maintainer.  Closes: #360946.
  * New upstream release, still version number 22, so adding suffix +d051004.
  * debian/patches/01_label_at_end_of_compound_statement.dpatch: Removed.
  * debian/patches/02_multi-line_strings.dpatch: Removed.
  * debian/patches/03_makefile_DEFINES.dpatch: Updated.
  * debian/control: Standards version, homepage.
  * debian/copyright: Updated.
  * debian/templates: Changed texts for lintian warnings.
  * debian/po/*: Changed by debconf-updatepo.
  * debian/watch: Updated.
  * debian/postinst: Redirect dd's stderr to /dev/null.

 -- Bart Martens <bartm@knars.be>  Mon, 14 Aug 2006 23:48:00 +0200

phalanx (22-17) unstable; urgency=low

  * Orphaning this package as previously announced
  * Update debian/po/de.po
  * Bump Standards-Version
  * debian/control: fix indentation of Homepage

 -- Florian Ernst <florian@debian.org>  Sun, 30 Apr 2006 12:29:48 +0200

phalanx (22-16) unstable; urgency=low

  * taking care for var/games was overeagerly stripped out in the last
    update, many thanks to Lars Wirzenius and his piuparts for the pointer
    (Closes: #339972, urgency=low as this bug only affects Sid)
  * Miscellaneous enhancements:
    + adding debian/watch which was forgotten in the previous version
    + using Enhances in debian/control
    + add _current_ download location to debian/copyright
    + clarify debian/menu

 -- Florian Ernst <florian@debian.org>  Sun, 20 Nov 2005 13:05:44 +0100

phalanx (22-15) unstable; urgency=low

  * New maintainer (Closes: #332232)
    + packaging adjustments to personal preferences
    + dpatch'yfied
    + upgraded debhelper compatibility level
  * Include Swedish debconf templates translation, thanks to
    Daniel Nylander (Closes: #333344)

 -- Florian Ernst <florian@debian.org>  Mon, 14 Nov 2005 23:11:54 +0100

phalanx (22-14) unstable; urgency=low

  * Don't depend on debconf, use ${misc:Depends}; this fixes debconf
    dependencies; closes:#332063.
  * Syntax errors in this changelog fixed.
  * FSF address in debian/copyright updated.
  * Use DH_COMPAT=4 in debian/rules, related changes.
  * Use chown with semicolon instead of dot in debian/postinst.
  * Install menu entry into /usr/share/menu instead of /usr/lib/menu.
  * Build-depend on debhelper >= 4.9.8.

 -- Milan Zamazal <pdm@debian.org>  Wed,  5 Oct 2005 11:06:51 +0200

phalanx (22-13) unstable; urgency=low

  * German po translation fix; closes: #313944.
  * Vietnamese po translation added; closes: #316819.

 -- Milan Zamazal <pdm@debian.org>  Sun,  7 Aug 2005 13:16:06 +0200

phalanx (22-12) unstable; urgency=low

  * Czech po translation added; closes: #280130.

 -- Milan Zamazal <pdm@debian.org>  Thu, 17 Feb 2005 09:00:36 +0100

phalanx (22-11) unstable; urgency=low

  * gcc 3.4 compilation error fixed; closes: #259626.
  * Don't compile with -funroll-loops.

 -- Milan Zamazal <pdm@debian.org>  Fri, 16 Jul 2004 11:00:10 +0200

phalanx (22-10) unstable; urgency=low

  * French po template updated; closes: #238124.
  * Catalan po template added; closes: #236629.

 -- Milan Zamazal <pdm@debian.org>  Tue, 16 Mar 2004 11:02:38 +0100

phalanx (22-9) unstable; urgency=low

  * French translation of the debconf template added; closes: #214528.
  * Build-depend on po-debconf.
  * Depend on debconf >= 0.5.
  * Standards 3.6.1 (no change).

 -- Milan Zamazal <pdm@debian.org>  Wed, 29 Oct 2003 20:44:25 +0100

phalanx (22-8) unstable; urgency=low

  * Support for gettext-based debconf templates added; contribution by
    Michel Grentzinger <mic.grentz@online.fr>; closes: #211674.

 -- Milan Zamazal <pdm@debian.org>  Mon,  6 Oct 2003 14:52:17 +0200

phalanx (22-7) unstable; urgency=low

  * Multi-line strings fixed; closes: #195015.
  * No lintian 1.22.8.1 errors.
  * Standards 3.5.10.
  * DEB_BUILD_OPTIONS handling changed according to the Standards 3.5.7.

 -- Milan Zamazal <pdm@debian.org>  Sat, 31 May 2003 07:11:49 +0200

phalanx (22-6) unstable; urgency=low

  * Standards 3.5.6 (no change).
  * The informative message removed from templates and postinst.
  * No lintian 1.20.16 errors.

 -- Milan Zamazal <pdm@debian.org>  Fri,  9 Nov 2001 10:09:33 +0100

phalanx (22-5) unstable; urgency=low

  * German translation of templates added; closes: #97714.

 -- Milan Zamazal <pdm@debian.org>  Sat, 19 May 2001 13:25:59 +0200

phalanx (22-4) unstable; urgency=low

  * Man page improved -- contribution of Stephen Stafford; closes: #97169.
  * add-log-mailing-address removed from this changelog.
  * Standards 3.5.3.
  * DEB_BUILD_OPTIONS support added.
  * No Lintian 1.20.13 errors.

 -- Milan Zamazal <pdm@debian.org>  Sat, 12 May 2001 23:40:28 +0200

phalanx (22-3) unstable; urgency=low

  * db_input in postinst protected with `|| true' to avoid configuration
    failure in certain conditions.

 -- Milan Zamazal <pdm@debian.org>  Mon, 27 Mar 2000 19:49:22 +0200

phalanx (22-2) unstable; urgency=low

  * Learn file location fixed in `postrm', so that it was removed on purge.

 -- Milan Zamazal <pdm@debian.org>  Sun, 26 Mar 2000 16:20:56 +0200

phalanx (22-1) unstable; urgency=low

  * New upstream version.
  * Add #DEBHELPER# to preinst.
  * Update upstream download location.

 -- Milan Zamazal <pdm@debian.org>  Sat, 29 Jan 2000 17:13:00 +0100

phalanx (21-9) unstable; urgency=low

  * Stupid bugs in `config' fixed; closes: #50626.
  * phalanx-config.6 removed from source package.

 -- Milan Zamazal <pdm@debian.org>  Fri, 19 Nov 1999 21:51:44 +0100

phalanx (21-8) unstable; urgency=low

  * Be clever about non-existent /var/games in preinst.

 -- Milan Zamazal <pdm@debian.org>  Wed, 17 Nov 1999 17:56:47 +0100

phalanx (21-7) unstable; urgency=low

  * Standards 3.1.0.
  * Use debconf.
  * phalanx-config removed.
  * Do not use `-s' in LDFLAGS.
  * Move learning file from /var/lib/games to /var/games.
  * Do not be verbose in postrm.
  * Build dependencies introduced.
  * Reference to GPL in common-licenses added.

 -- Milan Zamazal <pdm@debian.org>  Sun, 14 Nov 1999 23:21:31 +0100

phalanx (21-6) unstable; urgency=low

  * Phantom line removed from phalanx-config; closes: #46508.
  * Few phalanx-config output improvements.

 -- Milan Zamazal <pdm@debian.org>  Sun,  3 Oct 1999 20:00:37 +0200

phalanx (21-5) unstable; urgency=low

  * Moved to FHS.
  * Standards 3.0.1.
  * Further debhelperization.
  * Lintian 1.8.2 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Tue, 14 Sep 1999 21:44:06 +0200

phalanx (21-4) unstable; urgency=low

  * Recompiled with egcc and glibc 2.1.

 -- Milan Zamazal <pdm@debian.org>  Tue, 25 May 1999 11:55:10 +0200

phalanx (21-3) unstable; urgency=low

  * Wrong type of `getchar()' destination fixed; closes: #36822.
  * Compile with `-g' and options for producing faster code.

 -- Milan Zamazal <pdm@debian.org>  Sun,  2 May 1999 18:42:10 +0200

phalanx (21-2) unstable; urgency=low

  * No longer waits for an answer in postinst; closes: #36128.
  * New script /usr/sbin/phalanx-config.
  * Check for arguments in maintainer scripts.
  * Updated maintainer old addresses.
  * Lintian 1.1 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun, 25 Apr 1999 16:55:06 +0200

phalanx (21-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun,  7 Feb 1999 20:38:34 +0100

phalanx (20-1) unstable; urgency=low

  * New upstream version.
  * Standards 2.5.0.
  * Lintian 0.9.4 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sat, 16 Jan 1999 19:45:16 +0100

phalanx (19-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sat, 28 Nov 1998 19:01:59 +0100

phalanx (18-2) unstable; urgency=low

  * Argh, really new maintainer address.
  * `icon="none"' removed from menu to make lintian happy.
  * Lintian 0.9.1 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun,  4 Oct 1998 17:01:24 +0200

phalanx (18-1) unstable; urgency=low

  * New upstream version
  * New maintainer address.

 -- Milan Zamazal <pdm@debian.org>  Sun, 13 Sep 1998 17:28:48 +0200

phalanx (17-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue,  4 Aug 1998 18:50:50 +0200

phalanx (16-1) unstable; urgency=low

  * New upstream version.
  * Lintian 0.4.8 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Thu,  2 Jul 1998 17:05:08 +0200

phalanx (15-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 22 Jun 1998 22:12:02 +0200

phalanx (14-1) unstable; urgency=low

  * New upstream version.
  * Lintian 0.4.4 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 20 May 1998 15:35:54 +0200

phalanx (12-3) frozen unstable; urgency=low

  * Note about pondering added (Bug #20391).
  * Lintian 0.4.2 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 29 Apr 1998 19:54:42 +0200

phalanx (12-2) frozen unstable; urgency=low

  * Bad compiled in paths to opening libraries corrected.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue,  7 Apr 1998 12:10:45 +0200

phalanx (12-1) unstable; urgency=low

  * New upstream version.
  * Lintian 0.3.0 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue,  3 Mar 1998 12:10:49 +0100

phalanx (11-5) unstable; urgency=low

  * Use `dh_md5sums'.
  * Lintian 0.2.2 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 18 Feb 1998 19:11:43 +0100

phalanx (11-4) unstable; urgency=low

  * `checksums' renamed to `md5sums'.

 -- Milan Zamazal <pdm@fi.muni.cz>  Fri, 13 Feb 1998 18:11:34 +0100

phalanx (11-3) unstable; urgency=low

  * Manpage for `xphalanx' menu script added.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 11 Feb 1998 20:40:46 +0100

phalanx (11-2) unstable; urgency=low

  * Bugs in `copyright' corrected.
  * Standards 2.4.0.0.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon,  9 Feb 1998 21:25:35 +0100

phalanx (11-1) unstable; urgency=low

  * New upstream version.
  * Remove *.orig files when cleaning.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 26 Jan 1998 14:59:13 +0100

phalanx (10-1) unstable; urgency=low

  * New upstream version.
  * `-isp' flag added to dpkg-gencontrol.
  * Description synopsis capitalized and dotified.
  * Learning file postinst/postrm handling added.
  * Gzip `changelog.Debian'.
  * Gzip other /usr/doc/ files.
  * Use `$(package)' rather than package name in `rules'.
  * Standards 2.3.0.1.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 12 Jan 1998 19:39:28 +0100

phalanx (9-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 24 Nov 1997 12:17:11 +0100

phalanx (8-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Thu,  6 Nov 1997 19:13:58 +0100

phalanx (7-1) unstable; urgency=low

  * New upstream version.
  * Better menu support.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 29 Oct 1997 12:05:46 +0100

phalanx (6-1) unstable; urgency=low

  * New upstream version.
  * Menu support.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 16 Sep 1997 15:29:36 +0200

phalanx (5-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon,  4 Aug 1997 15:38:56 +0200

phalanx (4-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 28 Jul 1997 18:10:11 +0200

phalanx (3-2) unstable; urgency=low

  * Compiled with libc6.
  * Does not use `debstd'.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed,  2 Jul 1997 13:00:54 +0200

phalanx (3-1) unstable; urgency=low

  * Initial Release.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon,  2 Jun 1997 23:03:37 +0200
